<script>
	import PageLoadingBar from 'sapper-page-loading-bar/PageLoadingBar.svelte';
	import Nav from '../components/Nav.svelte';
	import { fade } from "svelte/transition"
	import { stores } from "@sapper/app"
	
	const { preloading } = stores()

	export let segment;
</script>

<style>
	main {
		position: relative;
		max-width: 56em;
		padding: 2em;
		margin: 0 auto;
		box-sizing: border-box;
		min-height: 100vh;
	}
</style>

<svelte:head>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/siimple@3.3.1/dist/siimple.min.css">
</svelte:head>

<PageLoadingBar {preloading}/>

<Nav {segment}/>
<div class="siimple--bg-dark siimple--color-white">
{#if !$preloading}
    <main transition:fade>
        <slot></slot>
    </main>
{/if}
</div>